Skip to content
This repository

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse code

Generate gemspec.

  • Loading branch information...
commit b03383c8bcfb43cd980a6f0bceb7f962b651360b 1 parent 79f0931
Maxim Chernyak aka hakunin authored

Showing 2 changed files with 75 additions and 2 deletions. Show diff stats Hide diff stats

  1. +2 2 Rakefile
  2. +73 0 sogger.gemspec
4 Rakefile
@@ -5,8 +5,8 @@ begin
5 5 require 'jeweler'
6 6 Jeweler::Tasks.new do |gem|
7 7 gem.name = "sogger"
8   - gem.summary = %Q{TODO: one-line summary of your gem}
9   - gem.description = %Q{TODO: longer description of your gem}
  8 + gem.summary = %Q{Stack overflow growler written in Ruby.}
  9 + gem.description = %Q{Simple tool that growls new questions from Stack Overflow. Supports filtering by tags.}
10 10 gem.email = "max@bitsonnet.com"
11 11 gem.homepage = "http://github.com/maxim/sogger"
12 12 gem.authors = ["Maxim Chernyak"]
73 sogger.gemspec
... ... @@ -0,0 +1,73 @@
  1 +# Generated by jeweler
  2 +# DO NOT EDIT THIS FILE DIRECTLY
  3 +# Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
  4 +# -*- encoding: utf-8 -*-
  5 +
  6 +Gem::Specification.new do |s|
  7 + s.name = %q{sogger}
  8 + s.version = "0.0.1"
  9 +
  10 + s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  11 + s.authors = ["Maxim Chernyak"]
  12 + s.date = %q{2009-12-08}
  13 + s.default_executable = %q{sogger}
  14 + s.description = %q{Simple tool that growls new questions from Stack Overflow. Supports filtering by tags.}
  15 + s.email = %q{max@bitsonnet.com}
  16 + s.executables = ["sogger"]
  17 + s.extra_rdoc_files = [
  18 + "LICENSE",
  19 + "README.md"
  20 + ]
  21 + s.files = [
  22 + ".document",
  23 + ".gitignore",
  24 + "LICENSE",
  25 + "README.md",
  26 + "Rakefile",
  27 + "VERSION",
  28 + "bin/sogger",
  29 + "lib/sogger.rb",
  30 + "lib/sogger/question.rb",
  31 + "lib/sogger/runner.rb",
  32 + "lib/sogger/sogger.rb",
  33 + "test/fixtures/so_feed_sample.xml",
  34 + "test/helper.rb",
  35 + "test/test_question.rb",
  36 + "test/test_runner.rb",
  37 + "test/test_sogger.rb"
  38 + ]
  39 + s.homepage = %q{http://github.com/maxim/sogger}
  40 + s.rdoc_options = ["--charset=UTF-8"]
  41 + s.require_paths = ["lib"]
  42 + s.rubygems_version = %q{1.3.5}
  43 + s.summary = %q{Stack overflow growler written in Ruby.}
  44 + s.test_files = [
  45 + "test/helper.rb",
  46 + "test/test_question.rb",
  47 + "test/test_runner.rb",
  48 + "test/test_sogger.rb"
  49 + ]
  50 +
  51 + if s.respond_to? :specification_version then
  52 + current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
  53 + s.specification_version = 3
  54 +
  55 + if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
  56 + s.add_runtime_dependency(%q<meow>, [">= 0"])
  57 + s.add_runtime_dependency(%q<nokogiri>, [">= 0"])
  58 + s.add_development_dependency(%q<shoulda>, [">= 0"])
  59 + s.add_development_dependency(%q<fakeweb>, [">= 0"])
  60 + else
  61 + s.add_dependency(%q<meow>, [">= 0"])
  62 + s.add_dependency(%q<nokogiri>, [">= 0"])
  63 + s.add_dependency(%q<shoulda>, [">= 0"])
  64 + s.add_dependency(%q<fakeweb>, [">= 0"])
  65 + end
  66 + else
  67 + s.add_dependency(%q<meow>, [">= 0"])
  68 + s.add_dependency(%q<nokogiri>, [">= 0"])
  69 + s.add_dependency(%q<shoulda>, [">= 0"])
  70 + s.add_dependency(%q<fakeweb>, [">= 0"])
  71 + end
  72 +end
  73 +

0 comments on commit b03383c

Please sign in to comment.
Something went wrong with that request. Please try again.